Skip to navigation

Update Object-Store Scan Method

Updates the scan mode and change detection mode for an Amazon S3 bucket or Google Cloud Storage bucket.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the Amazon S3 bucket or Google Cloud Storage bucket to update.

Request

This endpoint expects an object.
cdcBackupobjectOptional

Change detection mode, which determines how Eon detects changes between backups.

When enabled, Eon uses bucket event notifications to detect changes, which allows more frequent backups. Otherwise, Eon detects changes only through periodic full bucket scans.

inventoryBackupobjectOptional

Scan mode, which determines how Eon retrieves the list of a bucket’s objects and their metadata.

When enabled, Eon uses an inventory report of the bucket’s objects, a faster and more cost-effective way to list objects in buckets with a very large number of objects. Otherwise, Eon lists the objects directly, which suits buckets with fewer objects.

Response

Settings updated.
objectStoreScanMethodobject
Scan mode and change detection mode settings for the resource.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error